OpenCV - Feature # 270: broken cvHaarDetectObjects when minNeighbors=0

Status: Done Priority: Blocker

Author: Vincent Rabaud Category: imgproc, video

Created: 2010-04-07 Assignee:

Updated: 2010-06-11 Due date:

Difficulty:

Pull request:

Description: The current trunk (rev 2999, post 2.1) version of cvHaarDetectObjects crashes when minNeighbors=0.

This is very simple: rweights is referenced in line 1270 even though it still has a size of 0 when
minNeighbors=0.

The patch fixes that.

Regards,
Vincent

Associated revisions

2012-12-29 01:47 pm - Andrey Kamaev
Merge pull request #270 from wswld:2.4

History

2010-04-12 08:22 pm - Vadim Pisarevsky
- Status changed from Open to Done

- (deleted custom field) set to fixed

thanks! your patch is applied in r3009
2010-06-10 09:40 pm - Nicholas Butko
| still get (periodic) segfaults when minNeighbors=0. | am using r3177, and the patch appears to have been applied. Maybe this ticket should be

reopened?

2010-06-11 01:39 am - Nicholas Butko

Sorry, this is a false alarm. | was linking to an older version than the one I'd built.

Files

cvhaar.patch 424 Bytes 2010-04-07 Vincent Rabaud
